Verify
Once you receive the OTP, verify it by sending another POST request to the same endpoint. This request should include both your email address and the OTP you received.
Body
emailstringOptionalExample:
johndoe@gmail.comotpstringOptionalExample:
123456Responses
200
OTP verified successfully, returns API key
application/json
successbooleanOptionalExample:
trueAPI_KEYstringOptionalExample:
your-generated-api-key401
OTP verification failed
application/json
post/login/verify
POST /login/verify HTTP/1.1
Host: devutility.streamnft.tech
Content-Type: application/json
Accept: */*
Content-Length: 42
{
"email": "johndoe@gmail.com",
"otp": 123456
}{
"success": true,
"API_KEY": "your-generated-api-key"
}Response:
If the OTP is verified successfully, the response will include your API key:
Use this API key for all subsequent API calls by including it in the header of your requests.
Last updated